# NCollection_DefineIndexedMap.hxx File Reference

`#include <NCollection_DefineBaseCollection.hxx>`
`#include <NCollection_IndexedMap.hxx>`

## Defines

#define | DEFINE_INDEXEDMAP(_ClassName_, _BaseCollection_, TheKeyType) typedef NCollection_IndexedMap <TheKeyType > _ClassName_;

## Define Documentation

#define DEFINE_INDEXEDMAP | ( | _ClassName_,
|  | _BaseCollection_,
|  | TheKeyType |  | ) | typedef NCollection_IndexedMap <TheKeyType > _ClassName_;